package com.mortals.xhx.module.basics.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:BasicsDatum
* date: 2021-8-19 10:03:24
*/
public class BasicsDatumQuery extends BasicsDatumEntity{
    private static final long serialVersionUID = 1629338604727L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 一件事基础表 one_basics id */
    private Long basicsIdStart;

    /** 结束 一件事基础表 one_basics id */
    private Long basicsIdEnd;

    /** 增加 一件事基础表 one_basics id */
    private Long basicsIdIncrement;

    /** 一件事基础表 one_basics id */
    private List <Long> basicsIdList;

    /** 开始 材料id  */
    private Long oneDatumIdsStart;

    /** 结束 材料id  */
    private Long oneDatumIdsEnd;

    /** 增加 材料id  */
    private Long oneDatumIdsIncrement;

    /** 材料id  */
    private List <Long> oneDatumIdsList;

    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BasicsDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BasicsDatumQuery> andConditionList;


    public BasicsDatumQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 一件事基础表 one_basics id
    * @return basicsIdStart
    */
    public Long getBasicsIdStart(){
    return this.basicsIdStart;
    }

    /**
    * 设置 开始 一件事基础表 one_basics id
    * @param basicsIdStart
    */
    public void setBasicsIdStart(Long basicsIdStart){
    this.basicsIdStart = basicsIdStart;
    }

    /**
    * 获取 结束 一件事基础表 one_basics id
    * @return basicsIdEnd
    */
    public Long getBasicsIdEnd(){
    return this.basicsIdEnd;
    }

    /**
    * 设置 结束 一件事基础表 one_basics id
    * @param basicsIdEnd
    */
    public void setBasicsIdEnd(Long basicsIdEnd){
    this.basicsIdEnd = basicsIdEnd;
    }

    /**
    * 获取 增加 一件事基础表 one_basics id
    * @return basicsIdIncrement
    */
    public Long getBasicsIdIncrement(){
    return this.basicsIdIncrement;
    }

    /**
    * 设置 增加 一件事基础表 one_basics id
    * @param basicsIdIncrement
    */
    public void setBasicsIdIncrement(Long basicsIdIncrement){
    this.basicsIdIncrement = basicsIdIncrement;
    }

    /**
    * 获取 一件事基础表 one_basics id
    * @return basicsIdList
    */
    public List<Long> getBasicsIdList(){
    return this.basicsIdList;
    }

    /**
    * 设置 一件事基础表 one_basics id
    * @param basicsIdList
    */
    public void setBasicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
        }
    /**
    * 获取 开始 材料id 
    * @return oneDatumIdsStart
    */
    public Long getOneDatumIdsStart(){
    return this.oneDatumIdsStart;
    }

    /**
    * 设置 开始 材料id 
    * @param oneDatumIdsStart
    */
    public void setOneDatumIdsStart(Long oneDatumIdsStart){
    this.oneDatumIdsStart = oneDatumIdsStart;
    }

    /**
    * 获取 结束 材料id 
    * @return oneDatumIdsEnd
    */
    public Long getOneDatumIdsEnd(){
    return this.oneDatumIdsEnd;
    }

    /**
    * 设置 结束 材料id 
    * @param oneDatumIdsEnd
    */
    public void setOneDatumIdsEnd(Long oneDatumIdsEnd){
    this.oneDatumIdsEnd = oneDatumIdsEnd;
    }

    /**
    * 获取 增加 材料id 
    * @return oneDatumIdsIncrement
    */
    public Long getOneDatumIdsIncrement(){
    return this.oneDatumIdsIncrement;
    }

    /**
    * 设置 增加 材料id 
    * @param oneDatumIdsIncrement
    */
    public void setOneDatumIdsIncrement(Long oneDatumIdsIncrement){
    this.oneDatumIdsIncrement = oneDatumIdsIncrement;
    }

    /**
    * 获取 材料id 
    * @return oneDatumIdsList
    */
    public List<Long> getOneDatumIdsList(){
    return this.oneDatumIdsList;
    }

    /**
    * 设置 材料id 
    * @param oneDatumIdsList
    */
    public void setOneDatumIdsList(List<Long> oneDatumIdsList){
        this.oneDatumIdsList = oneDatumIdsList;
        }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public BasicsDatumQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public BasicsDatumQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public BasicsDatumQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public BasicsDatumQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public BasicsDatumQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  一件事基础表 one_basics id
    * @param basicsId
    */
    public BasicsDatumQuery basicsId(Long basicsId){
	    setBasicsId(basicsId);
		return this;
    }
	
	 /**
    * 设置 开始 一件事基础表 one_basics id
    * @param basicsIdStart
    */
    public BasicsDatumQuery basicsIdStart(Long basicsIdStart){
		this.basicsIdStart = basicsIdStart;
		return this;
    }

    /**
    * 设置 结束 一件事基础表 one_basics id
    * @param basicsIdEnd
    */
    public BasicsDatumQuery basicsIdEnd(Long basicsIdEnd){
		this.basicsIdEnd = basicsIdEnd;
		return this;
    }

    /**
    * 设置 增加 一件事基础表 one_basics id
    * @param basicsIdIncrement
    */
    public BasicsDatumQuery basicsIdIncrement(Long basicsIdIncrement){
		this.basicsIdIncrement = basicsIdIncrement;
		return this;
    }

    /**
    * 设置 一件事基础表 one_basics id
    * @param basicsIdList
    */
    public BasicsDatumQuery basicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
		return this;
        }

	/**
    * 设置  材料id 
    * @param oneDatumIds
    */
    public BasicsDatumQuery oneDatumIds(Long oneDatumIds){
	    setOneDatumIds(oneDatumIds);
		return this;
    }
	
	 /**
    * 设置 开始 材料id 
    * @param oneDatumIdsStart
    */
    public BasicsDatumQuery oneDatumIdsStart(Long oneDatumIdsStart){
		this.oneDatumIdsStart = oneDatumIdsStart;
		return this;
    }

    /**
    * 设置 结束 材料id 
    * @param oneDatumIdsEnd
    */
    public BasicsDatumQuery oneDatumIdsEnd(Long oneDatumIdsEnd){
		this.oneDatumIdsEnd = oneDatumIdsEnd;
		return this;
    }

    /**
    * 设置 增加 材料id 
    * @param oneDatumIdsIncrement
    */
    public BasicsDatumQuery oneDatumIdsIncrement(Long oneDatumIdsIncrement){
		this.oneDatumIdsIncrement = oneDatumIdsIncrement;
		return this;
    }

    /**
    * 设置 材料id 
    * @param oneDatumIdsList
    */
    public BasicsDatumQuery oneDatumIdsList(List<Long> oneDatumIdsList){
        this.oneDatumIdsList = oneDatumIdsList;
		return this;
        }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public BasicsDatumQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public BasicsDatumQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public BasicsDatumQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public BasicsDatumQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public BasicsDatumQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public BasicsDatumQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public BasicsDatumQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public BasicsDatumQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BasicsDatumQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BasicsDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BasicsDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BasicsDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}